Bug 878557 - maven-ear-plugin: Remove/replace (build)requires on plexus-container-default
maven-ear-plugin: Remove/replace (build)requires on plexus-container-default
Product: Fedora
Classification: Fedora
Component: maven-ear-plugin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-11-20 11:56 EST by Stanislav Ochotnicky
Modified: 2012-11-27 01:59 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.7-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-11-27 01:50:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch fixing the bug (833 bytes, patch)
2012-11-27 01:38 EST, Mikolaj Izdebski
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2012-11-20 11:56:10 EST
Your package maven-ear-plugin either requires or buildrequires plexus-container-default. This package contains old API which is not commonly used and has not contained maven dependency mappings since September 2011. It means that unless your package is using custom dependency map to build, it is not using plexus-container-default. 

In most cases your package is instead using 'plexus-containers-container-default' package. If any pom.xml files contain reference to groupId:artifactId org.codehaus.plexus:plexus-container-default you can replace plexus-container-default with plexus-containers-container-default. If your pom.xml files don't reference mentioned groupId:artifactId it should be safe to remove completely
Comment 1 Mikolaj Izdebski 2012-11-27 01:38:22 EST
Created attachment 652512 [details]
Patch fixing the bug
Comment 2 Mikolaj Izdebski 2012-11-27 01:50:16 EST
I believe that this bug is fixed in maven-ear-plugin-2.7-3,
which is available in Fedora Rawhide.  I am closing the bug now,
thank you for reporting it.  A summary of changes is included below.

* Tue Nov 27 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 2.7-3
- Don't use legacy plexus-container-default, resolves: rhbz#878557
- Install license files, resolves: rhbz#880268

Note You need to log in before you can comment on or make changes to this bug.